Package de.gebit.integrity.dsl

## Interface TableTest

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `SuiteStatement`, `SuiteStatementWithResult`
  All Known Implementing Classes:
    `TableTestImpl`

      public interface TableTest
      extends SuiteStatementWithResult

  A representation of the model object 'Table Test'.

  The following features are supported:

  - `Definition`
  - `Parameters`
  - `Parameter Headers`
  - `Result Headers`
  - `Default Result Column`
  - `Rows`
  See Also:
    `DslPackage.getTableTest()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDefaultResultColumn()` | Returns the value of the 'Default Result Column' attribute.
    `TestDefinition` | `getDefinition()` | Returns the value of the 'Definition' reference.
    `org.eclipse.emf.common.util.EList<ParameterTableHeader>` | `getParameterHeaders()` | Returns the value of the 'Parameter Headers' containment reference list.
    `org.eclipse.emf.common.util.EList<Parameter>` | `getParameters()` | Returns the value of the 'Parameters' containment reference list.
    `org.eclipse.emf.common.util.EList<ResultTableHeader>` | `getResultHeaders()` | Returns the value of the 'Result Headers' containment reference list.
    `org.eclipse.emf.common.util.EList<TableTestRow>` | `getRows()` | Returns the value of the 'Rows' containment reference list.
    `void` | `setDefaultResultColumn​(String value)` | Sets the value of the '`Default Result Column`' attribute.
    `void` | `setDefinition​(TestDefinition value)` | Sets the value of the '`Definition`' reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDefinition

          TestDefinition getDefinition()

      Returns the value of the 'Definition' reference.
      Returns:
        the value of the 'Definition' reference.
      See Also:
        `setDefinition(TestDefinition)`, `DslPackage.getTableTest_Definition()`

    - #### setDefinition

          void setDefinition​(TestDefinition value)

      Sets the value of the '`Definition`' reference.
      Parameters:
        `value` - the new value of the 'Definition' reference.
      See Also:
        `getDefinition()`

    - #### getParameters

          org.eclipse.emf.common.util.EList<Parameter> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`.
      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `DslPackage.getTableTest_Parameters()`

    - #### getParameterHeaders

          org.eclipse.emf.common.util.EList<ParameterTableHeader> getParameterHeaders()

      Returns the value of the 'Parameter Headers' containment reference list. The list contents are of type `ParameterTableHeader`.
      Returns:
        the value of the 'Parameter Headers' containment reference list.
      See Also:
        `DslPackage.getTableTest_ParameterHeaders()`

    - #### getResultHeaders

          org.eclipse.emf.common.util.EList<ResultTableHeader> getResultHeaders()

      Returns the value of the 'Result Headers' containment reference list. The list contents are of type `ResultTableHeader`.
      Returns:
        the value of the 'Result Headers' containment reference list.
      See Also:
        `DslPackage.getTableTest_ResultHeaders()`

    - #### getDefaultResultColumn

          String getDefaultResultColumn()

      Returns the value of the 'Default Result Column' attribute.
      Returns:
        the value of the 'Default Result Column' attribute.
      See Also:
        `setDefaultResultColumn(String)`, `DslPackage.getTableTest_DefaultResultColumn()`

    - #### setDefaultResultColumn

          void setDefaultResultColumn​(String value)

      Sets the value of the '`Default Result Column`' attribute.
      Parameters:
        `value` - the new value of the 'Default Result Column' attribute.
      See Also:
        `getDefaultResultColumn()`

    - #### getRows

          org.eclipse.emf.common.util.EList<TableTestRow> getRows()

      Returns the value of the 'Rows' containment reference list. The list contents are of type `TableTestRow`.
      Returns:
        the value of the 'Rows' containment reference list.
      See Also:
        `DslPackage.getTableTest_Rows()`